# Maintainer: BlackIkeEagle

pkgname=devtools-blackeagle-pre-community
pkgver=2
pkgrel=2
pkgdesc="devtools additions for blackeagle-pre-community"
depends=(devtools)
arch=('any')
url="https://repo.herecura.eu"
license=('MIT')
source=("pacman-blackeagle-pre-community.conf"
        "pacman-blackeagle-pre-community-testing.conf"
        "pacman-blackeagle-pre-community-staging.conf")
sha512sums=('94b77193f1aa1009e5f73a01f2ac5372d901fde6123326305e3ac947249047f4ea66e54086e8a5530628086fc7ee01bbabc89dabd86e8e0de09b36647fc2e217'
            '06dc6dd79b3ef30eb94ed653dd7439818653acbdf83500813c3c4de279f010a335f7df0a2d1ba4238e63a2339295a6caa0f7d922403f33e488983d1f84c56c2e'
            '359db095baf0d666fa39470cea269de6e7f229074ca2a69226a7e11fdd55619e76fe14406d72aace68671ed1724eca77fdf9c895d537b96a533900587f54760c')

package() {
    install -dm755 "$pkgdir/usr/share/devtools"
    install -dm755 "$pkgdir/usr/bin"

    for repo in blackeagle-pre-community{,-testing,-staging}; do
        install -Dm644 "$srcdir/pacman-$repo.conf" \
            "$pkgdir/usr/share/devtools/pacman.conf.d/$repo.conf"
        ln -sf /usr/bin/archbuild "$pkgdir/usr/bin/$repo-x86_64-build"
        ln -sf /usr/bin/archbuild "$pkgdir/usr/bin/$repo-x86_64_v3-build"
    done
}
